PHP 版本更新, Apache上如何設定

PHP 版本更新, 會遇到是因為原本正在跑的伺服器是已經多年前的版本了,為了新加入的功能最起碼必須更新到 PHP 5.6

其實也不難,紀錄一下免得下次要找要找不到資料,範例是由5.5.9更新至5.6

參考文件 :https://www.digitalocean.com/community/questions/how-to-upgrade-from-php-v-5-5-9-to-v-5-6

如果你還不熟悉架站,請先閱讀前面的文章

ubuntu 基礎架站

ubuntu 進階架站分享

OK,到這邊會遇到第一個問題,根本就沒有add-apt-repository ppa:ondrej/php 這個指令阿,原來不是內建的呢,我們必須先安裝兩樣東西

這樣就可以繼續往下走了

 

其實概念很簡單,因為是透過apt-get將 php 5.6安裝起來的,所以必須先講資料原加入也就是ppa:ondrej/php

接著apt-get更新之後將該裝的php 5.6相關元件裝起來(當然也可以不需要裝這麼多)

最後停用舊版啟用新版再將apache重新啟動就可以了

PHP 版本更新

 

首頁 » 技術文章 » 架站 » PHP 版本更新, Apache上如何設定

2 Comments

  1. Pingback: PHP 在Apache 上跑多個版本,以PHP 5.6與PHP 7.1為例 - Alvin Chen Club

  2. Pingback: php-fpm restart 與 php short open tag : 幾個PHP的小坑 - Alvin Chen Club

發佈留言

發佈留言必須填寫的電子郵件地址不會公開。 必填欄位標示為 *